/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfileitem
#define headerfileitem

#include <string>




struct Item
{
long id;

std::string subject;
std::string content;
std::string url_subject;

enum Type
{
	dir  = 0,
	file = 1,
	
	
	
	none = 1000
};

Type type;

//item_type;

long parent_id;
long default_item;



Item()
{
	Clear();
}



void Clear()
{
	id = -1;
	subject.clear();
	content.clear();
	url_subject.clear();	
	
	type = none;
	parent_id = -1;
	default_item = -1;
}






};



#endif
